%define major 7
%define libname %mklibname webp %{major}
%define devname %mklibname webp -d

%define mux_major 3
%define muxlibname %mklibname webpmux %{mux_major}

%define demux_major 2
%define demuxlibname %mklibname webpdemux %{demux_major}

%define decoder_major 3
%define decoderlibname %mklibname webpdecoder %{decoder_major}

Name:           libwebp
Version:        0.6.0
Release:        %mkrel 1
Summary:        Library and tools for the WebP graphics format
Group:          System/Libraries
License:        BSD
URL:            http://webmproject.org/
Source0:        http://downloads.webmproject.org/releases/webp/%{name}-%{version}.tar.xz
BuildRequires: glibc-headers-devel
BuildRequires: lib64freeglut-devel
BuildRequires: lib64gif-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64png-devel
BuildRequires: lib64tiff-devel
BuildRequires: libtool-base

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package tools
Group:          Development/Other
Summary:        The WebP command line tools

%description tools
Command line tools for the WebP image format.

%package -n	%{libname}
Group:          System/Libraries
Summary:        Library for the WebP format

%description -n %{libname}
Shared library for the WebP image format.

%package -n %{muxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for muxing

%description -n %{muxlibname}
Shared library for the WebP image format with support for muxing.

%package -n %{demuxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for demuxing

%description -n %{demuxlibname}
Shared library for the WebP image format with support for demuxing.

%package -n %{decoderlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for decoding

%description -n %{decoderlibname}
Shared library for the WebP image format with support for decoding.

%package -n %{devname}
Group:          Development/Libraries
Summary:        Development files for libwebp, a library for the WebP format
Requires:       %{libname} = %{version}-%{release}
Requires:       %{muxlibname} = %{version}-%{release}
Requires:       %{demuxlibname} = %{version}-%{release}
Requires:       %{decoderlibname} = %{version}-%{release}
Provides:       webp-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the WebP libraries.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
  --disable-static \
  --enable-libwebpmux \
  --enable-libwebpdemux \
  --enable-libwebpdecoder \
  
%ifarch %{arm}
  --disable-neon
%endif

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%files tools
%{_bindir}/*webp*
%{_mandir}/man1/*webp*.1.*

%files -n %{libname}
%doc README PATENTS NEWS AUTHORS COPYING
%{_libdir}/%{name}.so.%{major}*

%files -n %{muxlibname}
%{_libdir}/%{name}mux.so.%{mux_major}*

%files -n %{demuxlibname}
%{_libdir}/%{name}demux.so.%{demux_major}*

%files -n %{decoderlibname}
%{_libdir}/%{name}decoder.so.%{decoder_major}*

%files -n %{devname}
%{_libdir}/%{name}*.so
%{_includedir}/webp/
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Thu Dec 07 2017 bb2 <bb2> - 0.6.0-1pclos2017
- new version
- enable demux and decoder

* Thu Dec 29 2016 bb <bb> 0.5.2-1pclos2017
- update

* Sat Jan 02 2016 bb <bb> 0.5.0-1pclos2016
- update

* Thu Sep 05 2013 bb <bb> 0.3.1-1pclos2013
- update

* Fri Feb 08 2013 pinoc <vogtpet> 0.2.1-1.pclos2013
- imported from France
